VisualEditor: When editing a non-current revision of a page, alter the "Save page" button behaviour
Closed, ResolvedPublic

Description

Current behaviour on oldid pages is the same as for current ones - that is, the "Save page" button is greyed out and won't activate until the content changes.

However, for oldid pages the content is already "changed" compared to the current revision, so it should be active right from the start. Also, ideally it should say "Restore page" at first, changing to "Save page" when/if the page's contents have been altered.


Version: unspecified
Severity: minor

bzimport set Reference to bz41865.
Jdforrester-WMF created this task.Via LegacyNov 7 2012, 9:49 PM
TrevorParscal added a comment.Via ConduitNov 7 2012, 10:00 PM

Partially resolved in I9e5ce76520e091612afe4fbc0300cff8ca645335

No changes to labels yet.

TrevorParscal added a comment.Via ConduitDec 4 2012, 9:08 PM

I8b30c2a153911f44643e369b7c6a9b89c0fb2c5b should resolve the rest of this.

Jdforrester-WMF added a comment.Via ConduitDec 5 2012, 8:00 PM

Merged into master.

Add Comment